Description

 Report Load (0.6ms)  SELECT "reports".* FROM "reports" WHERE "reports"."host_id" = 35918 ORDER BY

 reports.id DESC LIMIT 1

2015-09-15T20:36:37 [sql] [D]   SQL (7.2ms)  INSERT INTO "host_status" ("host_id", "reported_at", 

"status", "type") VALUES ($1, $2, $3, $4) RETURNING "id"  [["host_id", 35918], ["reported_at", Wed

, 15 Jul 2015 12:42:03 UTC +00:00], ["status", 67645734912], ["type", "HostStatus::ConfigurationSt

atus"]]

2015-09-15T20:36:37 [sql] [D] PG::NumericValueOutOfRange: ERROR:  value "67645734912" is out of ra

nge for type integer

 | : INSERT INTO "host_status" ("host_id", "reported_at", "status", "type") VALUES ($1, $2, $3, $4

) RETURNING "id" 

2015-09-15T20:36:37 [sql] [D]    (0.2ms)  ROLLBACK

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

PG::NumericValueOutOfRange: ERROR:  value "67645734912" is out of range for type integer

: INSERT INTO "host_status" ("host_id", "reported_at", "status", "type") VALUES ($1, $2, $3, $4) R

ETURNING "id"/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/co

nnection_adapters/postgresql_adapter.rb:1176:in `get_last_result'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:1176:in `exec_cache'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:661:in `block in exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:280:in `block in log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:275:in `log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:659:in `exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:63:in `exec_insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:90:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/query_cache.rb:14:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/relation.rb:66:

in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

367:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/timestamp.rb:58

:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `block in create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:
403:in `_run__3371173814217765985__create__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_create_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

348:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `block in create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

414:in `_run__3371173814217765985__save__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_save_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

104:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/validations.rb:

56:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/attribute_metho

ds/dirty.rb:33:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `block in save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:313:in `block in with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:311:in `with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `save!'

/home/ohad/git/foreman/app/models/host_status/status.rb:37:in `refresh!'

/home/ohad/git/foreman/app/models/host/managed.rb:873:in `block in refresh_statuses'

/home/ohad/git/foreman/app/models/host/managed.rb:871:in `refresh_statuses'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:14:in `block in up'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `each'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:129:in `with_connection'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:38

9:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:52

8:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:72

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `call'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `block in ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'
/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:71

9:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `each'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:57

0:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:55

1:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/railties/databa

ses.rake:193:in `block (2 levels) in <top (required)>'

ActiveRecord::StatementInvalid: PG::NumericValueOutOfRange: ERROR:  value "67645734912" is out of 

range for type integer

: INSERT INTO "host_status" ("host_id", "reported_at", "status", "type") VALUES ($1, $2, $3, $4) R

ETURNING "id" 

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:1176:in `get_last_result'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:1176:in `exec_cache'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:661:in `block in exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:280:in `block in log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:275:in `log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:659:in `exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:63:in `exec_insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:90:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/query_cache.rb:14:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/relation.rb:66:

in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

367:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/timestamp.rb:58

:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `block in create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

403:in `_run__3371173814217765985__create__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_create_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

348:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `block in create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

414:in `_run__3371173814217765985__save__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_save_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:
81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

104:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/validations.rb:

56:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/attribute_metho

ds/dirty.rb:33:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `block in save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:313:in `block in with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:311:in `with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `save!'

/home/ohad/git/foreman/app/models/host_status/status.rb:37:in `refresh!'

/home/ohad/git/foreman/app/models/host/managed.rb:873:in `block in refresh_statuses'

/home/ohad/git/foreman/app/models/host/managed.rb:871:in `refresh_statuses'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:14:in `block in up'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `each'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:129:in `with_connection'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:38

9:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:52

8:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:72

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `call'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `block in ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:71

9:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `each'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:57

0:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:55

1:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/railties/databa

ses.rake:193:in `block (2 levels) in <top (required)>'

PG::NumericValueOutOfRange: ERROR:  value "67645734912" is out of range for type integer

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:1176:in `get_last_result'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:1176:in `exec_cache'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap
ters/postgresql_adapter.rb:661:in `block in exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:280:in `block in log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract_adapter.rb:275:in `log'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/postgresql_adapter.rb:659:in `exec_query'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:63:in `exec_insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:90:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/query_cache.rb:14:in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/relation.rb:66:

in `insert'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

367:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/timestamp.rb:58

:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `block in create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

403:in `_run__3371173814217765985__create__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_create_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

8:in `create'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

348:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `block in create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

414:in `_run__3371173814217765985__save__1258106141016912348__callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_save_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:26

4:in `create_or_update'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/persistence.rb:

104:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/validations.rb:

56:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/attribute_metho

ds/dirty.rb:33:in `save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `block in save!'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:313:in `block in with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:311:in `with_transaction_returning_status'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `save!'

/home/ohad/git/foreman/app/models/host_status/status.rb:37:in `refresh!'

/home/ohad/git/foreman/app/models/host/managed.rb:873:in `block in refresh_statuses'
/home/ohad/git/foreman/app/models/host/managed.rb:871:in `refresh_statuses'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:14:in `block in up'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `each'

/home/ohad/git/foreman/db/migrate/20150612135546_create_host_status.rb:13:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:41

0:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:129:in `with_connection'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:38

9:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:52

8:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:72

0:in `block (2 levels) in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `call'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `block in ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:77

5:in `ddl_transaction'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:71

9:in `block in migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `each'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:70

0:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:57

0:in `up'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/migration.rb:55

1:in `migrate'

/home/ohad/.rvm/gems/ruby-2.1.5@foreman/gems/activerecord-3.2.21/lib/active_record/railties/databa

ses.rake:193:in `block (2 levels) in <top (required)>'

Tasks: TOP => db:migrate

Related issues:

Related to Foreman - Feature #10782: Add global status for hosts Closed 06/11/2015

Associated revisions

Revision 6542b50b - 09/18/2015 04:24 AM - Dominic Cleal

fixes #11835 - increase host_status.status field length to store metrics

History

#1 - 09/15/2015 01:39 PM - Ohad Levy

- Related to Feature #10782: Add global status for hosts added

#2 - 09/16/2015 02:54 AM - Dominic Cleal

- Assignee deleted (Marek Hulán)

- translation missing: en.field_release set to 63

#3 - 09/17/2015 10:52 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 09/18/2015 03:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2738 added
- Pull request deleted ()

#5 - 09/18/2015 05:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6542b50be1493aec02cb9d79792d6804af9d521d.
